Package org.eclipse.mat.query.annotations

# Annotation Type Usage

@Target(TYPE) @Retention(RUNTIME) public @interface Usage
Annotates a custom usage message. The text can be replaced by translatable text in an annotations.properties file in the same package with the key

    <SimpleClassName>.usage =

where `<SimpleClassName>` is the name of the class of the query without the package name.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Element Details

### value

String value